<?php

// incluimos la conexión objeto $db
require_once('conexion.php');
// incluimos las diferentes query sql
require_once('query.php');

// controlamos la conexión a la bd
if ($db->connect_error) { 
    //no conecta a la bd
    //die("Error al conectar con la BD: " . $db->connect_error);
    $errors = ['db_error' => true];
    echo json_encode($errors, JSON_UNESCAPED_UNICODE);
} else { 
    //hay conexión a la bd, dejamos por defecto el error con que no hay registros
    $errors = ['no_record' => true];

    //recuperamos el valor del formulario de html enviado por js
    $valor = $_POST['valor'];
    $q = $_POST['query'];

    //recuperamos el valor del formulario de html enviado por js
    //$valor = $_GET['valor'];

    // buscamos la sentencia sql
    $query = GetQuery($q, $valor);
    // ejecutamos la sentencia en la bd
    $getResults = $db->query($query);
    $resultado = [];
    // controlamos que hay resultados
    if ($getResults->num_rows > 0) {
        // hay resultados, los recorremos y creamos el objeto
        while ($data = $getResults->fetch_assoc()) {
            $resultado[] = $data;
        }
        /*
        $datos_q = [
            'count'=> $getResults->num_rows,
            'db_error' => $db->connect_error
        ];
        $total_r = $resultado+$datos_q;
        */

        // mostramos en formato json el resultado
        echo json_encode($resultado, JSON_UNESCAPED_UNICODE);
        //echo $query;
    } else {
        // no hay resultados, mostramos error conrrespondiente
        echo json_encode($errors, JSON_UNESCAPED_UNICODE);
        //echo $query;
    }
}
